summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2016-06-22 02:36:34 +0200
committer Willy Sudiarto Raharjo2016-06-22 02:36:34 +0200
commit5f3fa3f2644943e1ddef0545262b357df4d8c6dd (patch)
treeba73b870680a1bfeac97844788ce4464fe04222e /gis
parent21116d6afa1373719b4a3f1a145d4a86bf007e0a (diff)
downloadslackbuilds-5f3fa3f2644943e1ddef0545262b357df4d8c6dd.tar.gz
gis/routino: Added (Router for OpenStreetMap Data).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/routino/README3
-rw-r--r--gis/routino/routino.SlackBuild83
-rw-r--r--gis/routino/routino.info10
-rw-r--r--gis/routino/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/gis/routino/README b/gis/routino/README
new file mode 100644
index 0000000000..e27ed19156
--- /dev/null
+++ b/gis/routino/README
@@ -0,0 +1,3 @@
+Routino is an application for finding a route between two points
+using the dataset of topographical information collected by
+http://www.OpenStreetMap.org
diff --git a/gis/routino/routino.SlackBuild b/gis/routino/routino.SlackBuild
new file mode 100644
index 0000000000..ab957e3dc8
--- /dev/null
+++ b/gis/routino/routino.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for routino
+
+# Copyright 2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=routino
+VERSION=${VERSION:-3.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ echo "Only x86_64 is supported"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i "s|prefix=/usr/local|prefix=/usr|" Makefile.conf
+sed -i "s|doc/routino|doc/routino-$VERSION|" Makefile.conf
+sed -i "s|/lib|/lib${LIBDIRSUFFIX}|g" Makefile.conf
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar ChangeLog doc/ *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/routino/routino.info b/gis/routino/routino.info
new file mode 100644
index 0000000000..1163fe280f
--- /dev/null
+++ b/gis/routino/routino.info
@@ -0,0 +1,10 @@
+PRGNAM="routino"
+VERSION="3.1.1"
+HOMEPAGE="http://www.routino.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://www.routino.org/download/routino-3.1.1.tgz"
+MD5SUM_x86_64="46c0bedf095071a1d034de6da2fb0e3c"
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/gis/routino/slack-desc b/gis/routino/slack-desc
new file mode 100644
index 0000000000..3a267e3768
--- /dev/null
+++ b/gis/routino/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+routino: routino (Router for OpenStreetMap Data)
+routino:
+routino: Routino is an application for finding a route between two points
+routino: using the dataset of topographical information collected by
+routino: http://www.OpenStreetMap.org.
+routino:
+routino:
+routino:
+routino: Project URL: http://www.routino.org/
+routino:
+routino: